Bug 1476790 - Review Request: python-stestr - A test runner runner similar to testrepository
Review Request: python-stestr - A test runner runner similar to testrepository
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
: 1476325 (view as bug list)
Depends On:
Blocks: RDO-PIKE
  Show dependency treegraph
 
Reported: 2017-07-31 09:20 EDT by Chandan Kumar
Modified: 2017-08-24 11:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 11:51:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Chandan Kumar 2017-07-31 09:20:37 EDT
Spec URL: https://chandankumar.fedorapeople.org/python-stestr.spec
SRPM URL: https://chandankumar.fedorapeople.org/python-stestr-0.5.0-1.fc26.src.rpm

Description: stestr is a fork of the testrepository that concentrates on being a dedicated test runner for python projects. The generic abstraction layers 
which enabled testr to work with any subunit emitting runner are gone. 
stestr hard codes python-subunit-isms into how it works.

Fedora Account System Username: chandankumar

Successful scratch Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20921089

Note: python-subunit2sql package review is here: https://bugzilla.redhat.com/show_bug.cgi?id=1476773
Comment 1 Chandan Kumar 2017-07-31 09:24:16 EDT
*** Bug 1476325 has been marked as a duplicate of this bug. ***
Comment 2 Haïkel Guémar 2017-07-31 10:39:56 EDT
I noted that running tests will require python-subunit2sql to be reviewed first.
I hereby approve this package into Fedora Packages Collection, please proceed with pkgdb request.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 38 files have unknown
     license. Detailed output of licensecheck in /home/haikel/1476790
     -python-stestr/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-stestr , python3-stestr , python-stestr-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-stestr-0.5.0-1.fc27.noarch.rpm
          python3-stestr-0.5.0-1.fc27.noarch.rpm
          python-stestr-doc-0.5.0-1.fc27.noarch.rpm
          python-stestr-0.5.0-1.fc27.src.rpm
python2-stestr.noarch: W: spelling-error Summary(en_US) testrepository -> test repository, test-repository, repository
python2-stestr.noarch: W: spelling-error %description -l en_US testrepository -> test repository, test-repository, repository
python2-stestr.noarch: W: spelling-error %description -l en_US testr -> test, tester, tests
python2-stestr.noarch: W: spelling-error %description -l en_US subunit -> sub unit, sub-unit, suburbanite
python2-stestr.noarch: W: no-manual-page-for-binary stestr
python2-stestr.noarch: W: no-manual-page-for-binary stestr-2
python2-stestr.noarch: W: no-manual-page-for-binary stestr-2.7
python3-stestr.noarch: W: spelling-error Summary(en_US) testrepository -> test repository, test-repository, repository
python3-stestr.noarch: W: spelling-error %description -l en_US testrepository -> test repository, test-repository, repository
python3-stestr.noarch: W: spelling-error %description -l en_US testr -> test, tester, tests
python3-stestr.noarch: W: spelling-error %description -l en_US subunit -> sub unit, sub-unit, suburbanite
python3-stestr.noarch: W: no-manual-page-for-binary stestr-3
python3-stestr.noarch: W: no-manual-page-for-binary stestr-3.6
python-stestr-doc.noarch: W: summary-not-capitalized C stestr documentation
python-stestr-doc.noarch: W: spelling-error %description -l en_US testrepository -> test repository, test-repository, repository
python-stestr-doc.noarch: W: spelling-error %description -l en_US testr -> test, tester, tests
python-stestr-doc.noarch: W: spelling-error %description -l en_US subunit -> sub unit, sub-unit, suburbanite
python-stestr-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-stestr-doc/html/.buildinfo
python-stestr.src: W: spelling-error Summary(en_US) testrepository -> test repository, test-repository, repository
python-stestr.src: W: spelling-error %description -l en_US testrepository -> test repository, test-repository, repository
python-stestr.src: W: spelling-error %description -l en_US testr -> test, tester, tests
python-stestr.src: W: spelling-error %description -l en_US subunit -> sub unit, sub-unit, suburbanite
python-stestr.src:31: W: mixed-use-of-spaces-and-tabs (spaces: line 14, tab: line 31)
4 packages and 0 specfiles checked; 0 errors, 23 warnings.




Rpmlint (installed packages)
----------------------------
python-stestr-doc.noarch: W: summary-not-capitalized C stestr documentation
python-stestr-doc.noarch: W: spelling-error %description -l en_US testrepository -> test repository, test-repository, repository
python-stestr-doc.noarch: W: spelling-error %description -l en_US testr -> test, tester, tests
python-stestr-doc.noarch: W: spelling-error %description -l en_US subunit -> sub unit, sub-unit, suburbanite
python-stestr-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-stestr-doc/html/.buildinfo
python3-stestr.noarch: W: spelling-error Summary(en_US) testrepository -> test repository, test-repository, repository
python3-stestr.noarch: W: spelling-error %description -l en_US testrepository -> test repository, test-repository, repository
python3-stestr.noarch: W: spelling-error %description -l en_US testr -> test, tester, tests
python3-stestr.noarch: W: spelling-error %description -l en_US subunit -> sub unit, sub-unit, suburbanite
python3-stestr.noarch: W: no-manual-page-for-binary stestr-3
python3-stestr.noarch: W: no-manual-page-for-binary stestr-3.6
python2-stestr.noarch: W: spelling-error Summary(en_US) testrepository -> test repository, test-repository, repository
python2-stestr.noarch: W: spelling-error %description -l en_US testrepository -> test repository, test-repository, repository
python2-stestr.noarch: W: spelling-error %description -l en_US testr -> test, tester, tests
python2-stestr.noarch: W: spelling-error %description -l en_US subunit -> sub unit, sub-unit, suburbanite
python2-stestr.noarch: W: no-manual-page-for-binary stestr
python2-stestr.noarch: W: no-manual-page-for-binary stestr-2
python2-stestr.noarch: W: no-manual-page-for-binary stestr-2.7
3 packages and 0 specfiles checked; 0 errors, 18 warnings.



Requires
--------
python-stestr-doc (rpmlib, GLIBC filtered):

python3-stestr (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-PyYAML
    python3-fixtures
    python3-future
    python3-pbr
    python3-six
    python3-subunit
    python3-testtools

python2-stestr (rpmlib, GLIBC filtered):
    /usr/bin/python2
    PyYAML
    python(abi)
    python-fixtures
    python-future
    python-pbr
    python-six
    python-subunit
    python-testtools



Provides
--------
python-stestr-doc:
    python-stestr-doc

python3-stestr:
    python3-stestr
    python3.6dist(stestr)
    python3dist(stestr)

python2-stestr:
    python-stestr
    python2-stestr
    python2.7dist(stestr)
    python2dist(stestr)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/s/stestr/stestr-0.5.0.tar.gz :
  CHECKSUM(SHA256) this package     : 48d18180dd18ee376404d7eb57ab2cc85fc66ff2836023e7c5852dfc27a0a224
  CHECKSUM(SHA256) upstream package : 48d18180dd18ee376404d7eb57ab2cc85fc66ff2836023e7c5852dfc27a0a224


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1476790 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Gwyn Ciesla 2017-07-31 11:31:09 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-stestr
Comment 4 Fedora Update System 2017-08-01 02:40:33 EDT
python-stestr-0.5.0-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0c9fb7977a
Comment 5 Fedora Update System 2017-08-01 21:52:53 EDT
python-stestr-0.5.0-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0c9fb7977a
Comment 6 Fedora Update System 2017-08-13 00:04:42 EDT
python-stestr-0.5.0-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec6c31e29a
Comment 7 Fedora Update System 2017-08-24 11:51:16 EDT
python-stestr-0.5.0-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.